package com.bytedance.globalpayment.service.manager.iap;

import X.C0207TMz;
import X.TNK;
import X.TNO;
import X.TOE;
import android.app.Activity;
import com.bytedance.covode.number.Covode;
import com.bytedance.globalpayment.iap.common.ability.model.OrderInfo;
import com.bytedance.globalpayment.iap.model.AbsIapChannelOrderData;
import com.bytedance.globalpayment.iap.model.IapPaymentMethod;
import java.util.List;

public class IapExternalServiceImplOfMock implements IapExternalService {
    static {
        Covode.recordClassIndex(27228);
    }

    public void acquireReward(TNK tnk) {
    }

    public void acquireReward(TNK tnk, TOE toe) {
    }

    public void addIapObserver(TOE toe) {
    }

    public void executeUnUploadTokenOrder(IapPaymentMethod iapPaymentMethod, AbsIapChannelOrderData absIapChannelOrderData) {
    }

    public void getChannelUserData(IapPaymentMethod iapPaymentMethod) {
    }

    public void getChannelUserData(IapPaymentMethod iapPaymentMethod, TOE toe) {
    }

    public TNO getNextState(TNO tno) {
        return null;
    }

    public boolean hasInitEd() {
        return false;
    }

    public void init() {
    }

    public boolean isSupportPaymentMethod(IapPaymentMethod iapPaymentMethod) {
        return false;
    }

    public void jumpToNotExpiredSubscriptionManagerPage(IapPaymentMethod iapPaymentMethod, String str, String str2) {
    }

    public void jumpToSubscriptionManagerPage(IapPaymentMethod iapPaymentMethod) {
    }

    public void newPay(Activity activity, TNK tnk) {
    }

    public void newPay(Activity activity, TNK tnk, TOE toe) {
    }

    public void onAppResume() {
    }

    public void onOrderTimeout(OrderInfo orderInfo) {
    }

    public void queryHasSubscriptionProducts(IapPaymentMethod iapPaymentMethod) {
    }

    public void queryHasSubscriptionProducts(IapPaymentMethod iapPaymentMethod, TOE toe) {
    }

    public void queryProductDetails(IapPaymentMethod iapPaymentMethod, List<String> list, String str) {
    }

    public void queryProductDetails(IapPaymentMethod iapPaymentMethod, List<String> list, String str, TOE toe) {
    }

    public void queryRewards() {
    }

    public void queryRewards(TOE toe) {
    }

    public void querySubscriptionDetails(IapPaymentMethod iapPaymentMethod, List<String> list, String str) {
    }

    public void querySubscriptionDetails(IapPaymentMethod iapPaymentMethod, List<String> list, String str, TOE toe) {
    }

    public void removeIapObserver(TOE toe) {
    }

    public void setProductInterceptor(C0207TMz tMz) {
    }

    public void tryRestoreUnAckOrder(IapPaymentMethod iapPaymentMethod) {
    }

    public void updateHost(String str) {
    }

    public void updateHostAndOrderPlatform(String str, String str2, int i) {
    }
}
